-- Add items here (comma separated)
local GiveOnSpawn = {
	cItem( E_BLOCK_STONE, 10, 0 ),
	cItem( E_BLOCK_DIRT, 10, 0 ),
}

function Initialize( Plugin )
	Plugin:SetName( "SpawnWithItems" )
	Plugin:SetVersion( 1 )
	
	PluginManager = cRoot:Get():GetPluginManager()
	PluginManager:AddHook( Plugin, cPluginManager.E_PLUGIN_PLAYER_JOIN )
	
	LOG( "Initialized " .. Plugin:GetName() .. " v." .. Plugin:GetVersion() )
	return true
end

function OnPlayerJoin ( Player )
	local Inventory = Player:GetInventory()
	
	-- Inventory:Clear() -- Uncomment this line if you want the player to ONLY spawn with the given items
	
	for key, value in pairs( GiveOnSpawn ) do
		-- Make a copy of the item because cInventory:AddItem modifies m_ItemCount
		local NewItem = cItem( value.m_ItemID, value.m_ItemCount, value.m_ItemHealth )
		Inventory:AddItem( NewItem )
	end
end